# Header-only library.
%global debug_package %{nil}

Name:           cppzmq
Version:        4.3.0
Release:        2%{?dist}
Summary:        Header-only C++ binding for libzmq

License:        MIT
URL:            http://zeromq.org
Source0:        https://github.com/zeromq/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/zeromq/cppzmq/commit/bffb0eda34195339f2af49f2879d9d0b9dee5c28
Patch0001:      0001-fix-install-without-static-libzmq.patch
# Not needed upstream as they switched to catch.
Patch0002:      0002-Use-system-GTest.patch
# https://github.com/zeromq/cppzmq/issues/283
Patch0003:      0003-Fix-broken-test-macro-condition.patch
# https://github.com/zeromq/cppzmq/issues/284
Patch0004:      0004-Add-pthreads-to-tests-that-use-std-thread.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libzmq)
BuildRequires:  cmake(GTest)
BuildRequires:  pkgconfig(gmock)

%global _description \
cppzmq is a C++ binding for libzmq. \
\
cppzmq maps the libzmq C API to C++ concepts. In particular, it is type-safe, \
provides exception-based error handling, and provides RAII-style classes that \
automate resource management. cppzmq is a light-weight, header-only binding.

%description %{_description}


%package devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

Requires:       pkgconfig(libzmq)

%description devel %{_description}


%prep
%autosetup -p1


%build
%cmake .
%make_build


%install
%make_install


%check
ctest -V


%files devel
%doc README.md
%license LICENSE
%{_includedir}/zmq*.hpp
%{_datadir}/cmake/%{name}


%changelog
* Sat Feb 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.3.0-2
- Add missing Requires on zeromq

* Tue Jan 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 4.3.0-1
- Initial package (split out of zeromq)
